Kerbal Space Program - Bug #25204

RCSFX bug with all versions of KSP from 1.4.5-1.9.1
04/23/2020 08:49 PM - Raidernick

Status: Confirmed Start date: 04/23/2020
Severity: Low % Done: 10%
Assignee: Technicalfool

Category: Bug Tracker

Target version:

Version: 1.9.1 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion: Core Game

Description

This bug has been plaguing all versions of KSP since RCSFX was officially introduced back in KSP 1.4.5. The issue relates to the
plume and it breaking to either be always on or not work at all.

To replicate this issue:

1) Create a craft with 2 pods attached that have a combination ModuleCommand and ModuleRCSFX on the same part, like the Mark
1-8 command pod

2) Separate the crafts in orbit.

3) Move one of the pods outside the render range of the other

4) Rendezvous both pods again

5) When you are inside the render range of the original pod the RCS plumes will be broken on it(the pod you are rendezvousing with,
not the one you are controlling). Either the plume will be visibly broken but still work and consume fuel, or the plume will be always
on(constantly firing from all transforms at once) but producing no thrust and not consuming fuel. A null reference exception will be
thrown regarding this when you reenter physics range.

This bug makes rendezvous on any craft that has modulercsfx and modulecommand on the same part impossible to do as it will
break the craft you are rendezvousing with. There is an apparent serious bug when you combine these modules that was never
addressed. | feel that this bug wasn't found earlier because these 2 modules were never combined on one part before until just
recently when the mark 1-3 pod was introduced.

You can fix the bug by going to the tracking station and reloading the craft again, but you shouldn't have to do this every time you
enter and exit physics range of a craft with combined partmodules.

History

#2 - 05/27/2020 08:00 PM - Technicalfool
- Status changed from New to Investigating
- Assignee set to Technicalfool

- % Done changed from 0 to 20

#4 - 05/28/2020 03:26 AM - lizhipeng144@virtuos.com.cn
- Language 10010 (Chinese Simplified) added
- Language deleted (English (US))

#5 - 05/28/2020 04:43 AM - Raidernick
- Language English (US) added
- Language deleted (1000 (Chinese Simplified))

#7 - 02/03/2021 02:59 PM - Technicalfool
- Status changed from Investigating to Confirmed

- % Done changed from 20 to 10

#8 - 02/03/2021 02:59 PM - Technicalfool

- Platform Linux added
